Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.Property

    java.lang.Object
      java.lang.Enum<Conversation.Property>
          com.skype.api.Conversation.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Conversation.Property>

Enclosing class:
  Conversation

    public static enum Conversation.Property

extends java.lang.Enum<Conversation.Property>
implements PropertyEnumConverting

Properties of the Conversation class

Enum Constant Summary
`P_ACTIVE_VOICEMAIL`
`P_ALERT_STRING`
`P_CONSUMPTION_HORIZON`
`P_CREATION_TIMESTAMP`
`P_CREATOR`
`P_DISPLAY_NAME`
`P_GIVEN_DISPLAY_NAME`
`P_IDENTITY`
`P_INBOX_MESSAGE_ID`
`P_INBOX_TIMESTAMP`
`P_IS_BOOKMARKED`
`P_LAST_ACTIVITY_TIMESTAMP`
`P_LIVE_HOST`
`P_LIVE_IS_MUTED`
`P_LIVE_START_TIMESTAMP`
`P_LOCAL_LIVE_STATUS`
`P_META_GUIDELINES`
`P_META_NAME`
`P_META_PICTURE`
`P_META_TOPIC`
`P_MY_STATUS`
`P_OPT_ADMIN_ONLY_ACTIVITIES`
`P_OPT_DISCLOSE_HISTORY`
`P_OPT_ENTRY_LEVEL_RANK`
`P_OPT_JOINING_ENABLED`
`P_PASSWORD_HINT`
`P_SPAWNED_FROM_CONVO_ID`
`P_TYPE`
`P_UNCONSUMED_ELEVATED_MESSAGES`
`P_UNCONSUMED_MESSAGES_VOICE`
`P_UNCONSUMED_NORMAL_MESSAGES`
`P_UNCONSUMED_SUPPRESSED_MESSAGES`
`P_UNKNOWN`

Field Summary
`static Conversation.Property[]` | `mget_info_mreq`
`static int` | `P_ACTIVE_VOICEMAIL_VALUE`
`static int` | `P_ALERT_STRING_VALUE`
`static int` | `P_CONSUMPTION_HORIZON_VALUE`
`static int` | `P_CREATION_TIMESTAMP_VALUE`
`static int` | `P_CREATOR_VALUE`
`static int` | `P_DISPLAY_NAME_VALUE`
`static int` | `P_GIVEN_DISPLAY_NAME_VALUE`
`static int` | `P_IDENTITY_VALUE`
`static int` | `P_INBOX_MESSAGE_ID_VALUE`
`static int` | `P_INBOX_TIMESTAMP_VALUE`
`static int` | `P_IS_BOOKMARKED_VALUE`
`static int` | `P_LAST_ACTIVITY_TIMESTAMP_VALUE`
`static int` | `P_LIVE_HOST_VALUE`
`static int` | `P_LIVE_IS_MUTED_VALUE`
`static int` | `P_LIVE_START_TIMESTAMP_VALUE`
`static int` | `P_LOCAL_LIVE_STATUS_VALUE`
`static int` | `P_META_GUIDELINES_VALUE`
`static int` | `P_META_NAME_VALUE`
`static int` | `P_META_PICTURE_VALUE`
`static int` | `P_META_TOPIC_VALUE`
`static int` | `P_MY_STATUS_VALUE`
`static int` | `P_OPT_ADMIN_ONLY_ACTIVITIES_VALUE`
`static int` | `P_OPT_DISCLOSE_HISTORY_VALUE`
`static int` | `P_OPT_ENTRY_LEVEL_RANK_VALUE`
`static int` | `P_OPT_JOINING_ENABLED_VALUE`
`static int` | `P_PASSWORD_HINT_VALUE`
`static int` | `P_SPAWNED_FROM_CONVO_ID_VALUE`
`static int` | `P_TYPE_VALUE`
`static int` | `P_UNCONSUMED_ELEVATED_MESSAGES_VALUE`
`static int` | `P_UNCONSUMED_MESSAGES_VOICE_VALUE`
`static int` | `P_UNCONSUMED_NORMAL_MESSAGES_VALUE`
`static int` | `P_UNCONSUMED_SUPPRESSED_MESSAGES_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Conversation.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Conversation.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Conversation.Property P_UNKNOWN

### P_IDENTITY

    public static final Conversation.Property P_IDENTITY

### P_TYPE

    public static final Conversation.Property P_TYPE

### P_LIVE_HOST

    public static final Conversation.Property P_LIVE_HOST

### P_LIVE_START_TIMESTAMP

    public static final Conversation.Property P_LIVE_START_TIMESTAMP

### P_LIVE_IS_MUTED

    public static final Conversation.Property P_LIVE_IS_MUTED

### P_ALERT_STRING

    public static final Conversation.Property P_ALERT_STRING

### P_IS_BOOKMARKED

    public static final Conversation.Property P_IS_BOOKMARKED

### P_GIVEN_DISPLAY_NAME

    public static final Conversation.Property P_GIVEN_DISPLAY_NAME

### P_DISPLAY_NAME

    public static final Conversation.Property P_DISPLAY_NAME

### P_LOCAL_LIVE_STATUS

    public static final Conversation.Property P_LOCAL_LIVE_STATUS

### P_INBOX_TIMESTAMP

    public static final Conversation.Property P_INBOX_TIMESTAMP

### P_INBOX_MESSAGE_ID

    public static final Conversation.Property P_INBOX_MESSAGE_ID

### P_UNCONSUMED_SUPPRESSED_MESSAGES

    public static final Conversation.Property P_UNCONSUMED_SUPPRESSED_MESSAGES

### P_UNCONSUMED_NORMAL_MESSAGES

    public static final Conversation.Property P_UNCONSUMED_NORMAL_MESSAGES

### P_UNCONSUMED_ELEVATED_MESSAGES

    public static final Conversation.Property P_UNCONSUMED_ELEVATED_MESSAGES

### P_UNCONSUMED_MESSAGES_VOICE

    public static final Conversation.Property P_UNCONSUMED_MESSAGES_VOICE

### P_ACTIVE_VOICEMAIL

    public static final Conversation.Property P_ACTIVE_VOICEMAIL

### P_CONSUMPTION_HORIZON

    public static final Conversation.Property P_CONSUMPTION_HORIZON

### P_LAST_ACTIVITY_TIMESTAMP

    public static final Conversation.Property P_LAST_ACTIVITY_TIMESTAMP

### P_SPAWNED_FROM_CONVO_ID

    public static final Conversation.Property P_SPAWNED_FROM_CONVO_ID

### P_CREATOR

    public static final Conversation.Property P_CREATOR

### P_CREATION_TIMESTAMP

    public static final Conversation.Property P_CREATION_TIMESTAMP

### P_MY_STATUS

    public static final Conversation.Property P_MY_STATUS

### P_OPT_JOINING_ENABLED

    public static final Conversation.Property P_OPT_JOINING_ENABLED

### P_OPT_ENTRY_LEVEL_RANK

    public static final Conversation.Property P_OPT_ENTRY_LEVEL_RANK

### P_OPT_DISCLOSE_HISTORY

    public static final Conversation.Property P_OPT_DISCLOSE_HISTORY

### P_OPT_ADMIN_ONLY_ACTIVITIES

    public static final Conversation.Property P_OPT_ADMIN_ONLY_ACTIVITIES

### P_PASSWORD_HINT

    public static final Conversation.Property P_PASSWORD_HINT

### P_META_NAME

    public static final Conversation.Property P_META_NAME

### P_META_TOPIC

    public static final Conversation.Property P_META_TOPIC

### P_META_GUIDELINES

    public static final Conversation.Property P_META_GUIDELINES

### P_META_PICTURE

    public static final Conversation.Property P_META_PICTURE

Field Detail

### P_IDENTITY_VALUE

    public static final int P_IDENTITY_VALUE

See Also:
  Constant Field Values

### P_TYPE_VALUE

    public static final int P_TYPE_VALUE

See Also:
  Constant Field Values

### P_LIVE_HOST_VALUE

    public static final int P_LIVE_HOST_VALUE

See Also:
  Constant Field Values

### P_LIVE_START_TIMESTAMP_VALUE

    public static final int P_LIVE_START_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_LIVE_IS_MUTED_VALUE

    public static final int P_LIVE_IS_MUTED_VALUE

See Also:
  Constant Field Values

### P_ALERT_STRING_VALUE

    public static final int P_ALERT_STRING_VALUE

See Also:
  Constant Field Values

### P_IS_BOOKMARKED_VALUE

    public static final int P_IS_BOOKMARKED_VALUE

See Also:
  Constant Field Values

### P_GIVEN_DISPLAY_NAME_VALUE

    public static final int P_GIVEN_DISPLAY_NAME_VALUE

See Also:
  Constant Field Values

### P_DISPLAY_NAME_VALUE

    public static final int P_DISPLAY_NAME_VALUE

See Also:
  Constant Field Values

### P_LOCAL_LIVE_STATUS_VALUE

    public static final int P_LOCAL_LIVE_STATUS_VALUE

See Also:
  Constant Field Values

### P_INBOX_TIMESTAMP_VALUE

    public static final int P_INBOX_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_INBOX_MESSAGE_ID_VALUE

    public static final int P_INBOX_MESSAGE_ID_VALUE

See Also:
  Constant Field Values

### P_UNCONSUMED_SUPPRESSED_MESSAGES_VALUE

    public static final int P_UNCONSUMED_SUPPRESSED_MESSAGES_VALUE

See Also:
  Constant Field Values

### P_UNCONSUMED_NORMAL_MESSAGES_VALUE

    public static final int P_UNCONSUMED_NORMAL_MESSAGES_VALUE

See Also:
  Constant Field Values

### P_UNCONSUMED_ELEVATED_MESSAGES_VALUE

    public static final int P_UNCONSUMED_ELEVATED_MESSAGES_VALUE

See Also:
  Constant Field Values

### P_UNCONSUMED_MESSAGES_VOICE_VALUE

    public static final int P_UNCONSUMED_MESSAGES_VOICE_VALUE

See Also:
  Constant Field Values

### P_ACTIVE_VOICEMAIL_VALUE

    public static final int P_ACTIVE_VOICEMAIL_VALUE

See Also:
  Constant Field Values

### P_CONSUMPTION_HORIZON_VALUE

    public static final int P_CONSUMPTION_HORIZON_VALUE

See Also:
  Constant Field Values

### P_LAST_ACTIVITY_TIMESTAMP_VALUE

    public static final int P_LAST_ACTIVITY_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_SPAWNED_FROM_CONVO_ID_VALUE

    public static final int P_SPAWNED_FROM_CONVO_ID_VALUE

See Also:
  Constant Field Values

### P_CREATOR_VALUE

    public static final int P_CREATOR_VALUE

See Also:
  Constant Field Values

### P_CREATION_TIMESTAMP_VALUE

    public static final int P_CREATION_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_MY_STATUS_VALUE

    public static final int P_MY_STATUS_VALUE

See Also:
  Constant Field Values

### P_OPT_JOINING_ENABLED_VALUE

    public static final int P_OPT_JOINING_ENABLED_VALUE

See Also:
  Constant Field Values

### P_OPT_ENTRY_LEVEL_RANK_VALUE

    public static final int P_OPT_ENTRY_LEVEL_RANK_VALUE

See Also:
  Constant Field Values

### P_OPT_DISCLOSE_HISTORY_VALUE

    public static final int P_OPT_DISCLOSE_HISTORY_VALUE

See Also:
  Constant Field Values

### P_OPT_ADMIN_ONLY_ACTIVITIES_VALUE

    public static final int P_OPT_ADMIN_ONLY_ACTIVITIES_VALUE

See Also:
  Constant Field Values

### P_PASSWORD_HINT_VALUE

    public static final int P_PASSWORD_HINT_VALUE

See Also:
  Constant Field Values

### P_META_NAME_VALUE

    public static final int P_META_NAME_VALUE

See Also:
  Constant Field Values

### P_META_TOPIC_VALUE

    public static final int P_META_TOPIC_VALUE

See Also:
  Constant Field Values

### P_META_GUIDELINES_VALUE

    public static final int P_META_GUIDELINES_VALUE

See Also:
  Constant Field Values

### P_META_PICTURE_VALUE

    public static final int P_META_PICTURE_VALUE

See Also:
  Constant Field Values

### mget_info_mreq

    public static final Conversation.Property[] mget_info_mreq

Method Detail

### values

    public static Conversation.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.Property c : Conversation.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Conversation.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.